# Development Board Setup

Le but de ce guide est d'expliquer, étape par étape, comment programmer les boards de dévelopements.

## Prérequis nécessaires
### Logiciels
* Cube
* Keil
* ST-Link drivers
* [Tutoriel pour l'installation](https://docs.google.com/document/d/1_yZx-tNhwaaqslMt3lyhnASVj4ES7uJWdt75JZZNCPU/edit)

### Matériel
* St-Link/J-Link
* Dev board

### Skills
* Programmation C

## Premier projet

Avant de pouvoir programmer les uC (microcontrôleur), il faut, au préalable, assigner les pins utilisé, initialisé les timers, les bus de communication et autre. Pour ce faire, le logiciel *STM32CubeMX* est utilisé. 

1. Pour créer un projet vide, commencer par ouvrir le logiciel.

![](image/Cube_1.jpg)

2. Choisir le bon uC
    * Board A -> STM32F427II
    * Board B -> STM32F105R8
    * Board C -> STM32F407IG

![](image/Cube_2.jpg)

3. Configurer l'horloge
![](image/Cube_3_1.jpg)
![](image/Cube_3_2.jpg)

4. Configurer le debugger
![](image/Cube_4.jpg)

5. Configurer les options du projet
![](image/Cube_5_1.jpg)
![](image/Cube_5_2.jpg)

6. Générer le code
![](image/Cube_6.jpg)



## Pinouts
### **Leds**

| A     | B |
| PG8   | PG7 |

A -> PG8

B -> PG7

C -> PG6

D -> PG5

E -> PG4

F -> PG3

G -> PG2

H -> PG1

### **PWM Ports**

A
B
C
D
E
F
G
H


